﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfApp1_drives.UI;
using WpfApp1_drives.VM;

namespace WpfApp1_drives
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        string currentDirectory = string.Empty;
        public MainWindow()
        {
            InitializeComponent();
        }
        public MainWindow(string currentDirectory) : this()
        {
            this.currentDirectory = currentDirectory;
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            this.DataContext = new MainWindowViewModel(new EntrySelectorViaWindow(), currentDirectory);
        }

        // instead: XAML, EventToCommand
        private void ListBox_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            (this.DataContext as MainWindowViewModel).SelectEntryCommand.Execute(null);
        }

    }
}
